package com.ruoyi.tjfx.service;

import com.ruoyi.tjfx.common.PageResponse;
import com.ruoyi.tjfx.entity.ShopCustomer;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import java.util.List;
import java.util.Map;

public interface ShopCustomerService {
    List<ShopCustomer> listAll();
    ShopCustomer getById(Long id);
    void add(ShopCustomer shopCustomer);
    void update(Long id, ShopCustomer shopCustomer);
    void delete(Long id);

    void deleteBatch(List<Long> ids);

    // 分页查询
    PageResponse<ShopCustomer> getPage(Integer page, Integer pageSize, String shopName, String customerName);
    Map<String, Object> importExcel(MultipartFile file);

    void exportExcel(HttpServletResponse response);
}
